> ## Documentation Index
> Fetch the complete documentation index at: https://lightsage.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Refresh Actions



## OpenAPI

````yaml /openapi.json post /v1/api-performance/actions/refresh
openapi: 3.1.0
info:
  title: Lightsage Public API
  description: Public API for Lightsage CLI and external integrations.
  version: 1.0.0
servers:
  - url: https://api.lightsage.com
    description: Production
security: []
paths:
  /v1/api-performance/actions/refresh:
    post:
      tags:
        - API Performance
      summary: Refresh Actions
      operationId: api_performance_actions_refresh
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicRefreshActionsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicRefreshActionsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - LightsageApiKeyAuth: []
components:
  schemas:
    PublicRefreshActionsRequest:
      properties:
        source_id:
          type: string
          title: Source Id
        force:
          type: boolean
          title: Force
          default: false
      type: object
      title: PublicRefreshActionsRequest
    PublicRefreshActionsResponse:
      properties:
        generated:
          type: integer
          title: Generated
        updated:
          type: integer
          title: Updated
        unchanged:
          type: integer
          title: Unchanged
        total_candidates:
          type: integer
          title: Total Candidates
      type: object
      required:
        - generated
        - updated
        - unchanged
        - total_candidates
      title: PublicRefreshActionsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    LightsageApiKeyAuth:
      type: apiKey
      in: header
      name: X-Lightsage-Api-Key

````